libxine1-all-plugins_1.1.21-1+deb7u1_all.deb


Advertisement

Description

libxine1-all-plugins - xine video/media player library ‒ meta package for all plugins

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libxine1-all-plugins
Package version 1.1.21
Package release 1+deb7u1
Package architecture all
Package type deb
Installed size 88 B
Download size 63.31 KB
Official Mirror ftp.br.debian.org
This is the xine media player library (libxine).
Libxine provides the complete infrastructure for a video/media player. It
supports MPEG 1/2 and some AVI and Quicktime videos out of the box, so you
can use it to play DVDs, (S)VCDs and most video files out there. It
supports network streams, subtitles and even MP3 or Ogg files. It's
extensible to your heart's content via plugins for audio and video output,
input media, demuxers (stream types), audio/video and subtitle codecs.
This empty package is just for your convenience and depends on all
available xine plugin packages.

Alternatives

Package Version Architecture Repository
libxine1-all-plugins_1.1.21-1+deb7u1_all.deb 1.1.21 all Debian Main
libxine1-all-plugins_1.1.21-dmo2_all.deb 1.1.21 all Multimedia Main
libxine1-all-plugins_1.1.21-dmo2_all.deb 1.1.21 all Multimedia Main
libxine1-all-plugins - - -

Requires

Name Value
libxine1-ffmpeg >= 1.1.21-1+deb7u1
libxine1-gnome >= 1.1.21-1+deb7u1
libxine1-misc-plugins >= 1.1.21-1+deb7u1

Download

Type URL
Binary Package libxine1-all-plugins_1.1.21-1+deb7u1_all.deb
Source Package xine-lib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxine1-all-plugins deb package:
    # sudo apt-get install libxine1-all-plugins

Files

Path
/usr/share/doc/libxine1-all-plugins/ChangeLog.gz
/usr/share/doc/libxine1-all-plugins/changelog.Debian.gz
/usr/share/doc/libxine1-all-plugins/changelog.gz
/usr/share/doc/libxine1-all-plugins/copyright

Changelog

2014-02-26 - Darren Salt <devspam@moreofthesa.me.uk>
xine-lib (1.1.21-1+deb7u1) stable; urgency=low
* Fix modplug-related FTBFS. (Closes: #739491)
* Removed Reinhard Tartler from Uploaders.
* Removed obsolete 'DM upload allowed' header.
2012-06-09 - Darren Salt <devspam@moreofthesa.me.uk>
xine-lib (1.1.21-1) unstable; urgency=low
* New upstream release.
- Fixes AAC-related goom double-free. (Closes: #676825)
* Change of address.
2012-03-27 - Darren Salt <linux@youmustbejoking.demon.co.uk>
xine-lib (1.1.20.1-4) unstable; urgency=medium
* Build-depend on libpng-dev. (Closes: #662559)
2012-02-28 - Darren Salt <linux@youmustbejoking.demon.co.uk>
xine-lib (1.1.20.1-3) unstable; urgency=medium
* Put libxine1-x and libxine1-console in section 'video'. (Closes: #657118)
* Removed unnecessary dependencies from libxine-dev.
* dh_xine now takes '-', which generates xine:Depends, suitable for
out-of-tree plugins. (Safe for use after wheezy is released.)
* Lintian fixups:
- Packages all depend on ${misc:Depends}.
- Adjust wrapping for 1.1.20.1-2 changelog entries.
- Fix up package descriptions.
- Remove ‘-1’ revisions from libxine1-bin.symbols; update it.
- Update lintian overrides (symbols file dependency declaration).
* Patches from upstream:
- Fix compilation against recent zlib. (Closes: #661656)
Urgency set to 'medium' because of this one impacting on a transition.
2012-01-23 - Darren Salt <linux@youmustbejoking.demon.co.uk>
xine-lib (1.1.20.1-2) unstable; urgency=low
* Hardened build flags. (Closes: #655146)
* Prefer libjack-jackd2-dev.
* Removed dependencies on libxine1-x and libxine1-console.
* xine-list-1.1 no longer causes catalog.cache to be written.
(Closes: #656213)
2012-01-01 - Darren Salt <linux@youmustbejoking.demon.co.uk>
xine-lib (1.1.20.1-1) unstable; urgency=low
* New upstream release.
2011-11-23 - Darren Salt <linux@youmustbejoking.demon.co.uk>
xine-lib (1.1.20-2) unstable; urgency=low
* Upstream patches:
- Have the PVR input plugin built if V4L2 is available, and use the
system <linux/videodev2.h>.
* Install the PVR plugin in libxine1-misc-plugins.
2011-11-13 - Darren Salt <linux@youmustbejoking.demon.co.uk>
xine-lib (1.1.20-1) unstable; urgency=low
* New upstream release.
- Typos fixed. (Closes: #644927)
- No longer crashes with some sample WMV files. We think that this was
an ffmpeg bug. (Closes: #584629)
* Moved the libxine1-gnome suggestion from libxine1-plugins to
libxine1-misc-plugins (which can be installed without libxine1-plugins).
* Added a few names to debian/copyright.
* Portability fix. (Closes: #634435)
2011-09-10 - Aurelien Jarno <aurel32@debian.org>
xine-lib (1.1.19-3.1) unstable; urgency=low
* Non-maintainer upload.
* Add patch from Reinhard Tartler to fix FTBFS with libav 0.7.  Closes:
#628197.
* Add patch from Loic Dachary to remove pvr from the plugins now that v4l
is gone. Enable v4l on linux instead of on !linux.  Closes: #623595.
2011-01-23 - Reinhard Tartler <siretart@tauware.de>
xine-lib (1.1.19-3) unstable; urgency=low
* add missing #include<X11/extensions/XvMClib.h> to avoid FTBFS,
Closes: #610635

See Also

Package Description
libxine1-bin_1.1.21-1+deb7u1_amd64.deb xine video/media player library ‒ binary files
libxine1-console_1.1.21-1+deb7u1_amd64.deb libaa/libcaca/framebuffer/directfb related plugins for libxine1
libxine1-doc_1.1.21-1+deb7u1_all.deb xine video player library – documentation files
libxine1-ffmpeg_1.1.21-1+deb7u1_amd64.deb MPEG-related plugins for libxine1
libxine1-gnome_1.1.21-1+deb7u1_amd64.deb GNOME-related plugins for libxine1
libxine1-misc-plugins_1.1.21-1+deb7u1_amd64.deb Input, audio output and post plugins for libxine1
libxine1-plugins_1.1.21-1+deb7u1_all.deb xine video/media player library ‒ meta package for common plugins
libxine1-x_1.1.21-1+deb7u1_amd64.deb X desktop video output plugins for libxine1
libxine1_1.1.21-1+deb7u1_amd64.deb xine video/media player library – meta-package
libxine2-all-plugins_1.2.2-5_all.deb xine video/media player library ‒ meta-package for all plugins
libxine2-bin_1.2.2-5_amd64.deb xine video/media player library – binary files
libxine2-console_1.2.2-5_amd64.deb libaa/libcaca/framebuffer/directfb related plugins for libxine2
libxine2-dev_1.2.2-5_amd64.deb xine video player library – development packages
libxine2-doc_1.2.2-5_all.deb xine video player library – documentation files
libxine2-ffmpeg_1.2.2-5_amd64.deb MPEG-related plugins for libxine2
Advertisement
Advertisement